Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view.appearance.swing
Class SwingCellRenderer

    java.lang.Object
      datechooser.view.appearance.CellRenderer
          datechooser.view.appearance.swing.SwingCellRenderer

All Implemented Interfaces:
  java.io.Serializable

    public class SwingCellRenderer

extends CellRenderer

Swing cell renderer.
Swing - рисовальщик ячеек.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`SwingCellRenderer(SwingCellAppearance appearance, Painter painter)`

Method Summary
`SwingCellAppearance` | `getAppearance()`
`java.awt.Font` | `getDefaultFont()`
`Painter` | `getPainter()`
`void` | `render(java.awt.Graphics2D g, java.awt.Component c, java.lang.String text, int width, int height, boolean isCursor)` Draw cell method.
`void` | `setAppearance(SwingCellAppearance appearance)`

Methods inherited from class datechooser.view.appearance.CellRenderer
`paintCursor, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingCellRenderer

    public SwingCellRenderer(SwingCellAppearance appearance,
                             Painter painter)

Method Detail

### render

    public void render(java.awt.Graphics2D g,
                       java.awt.Component c,
                       java.lang.String text,
                       int width,
                       int height,
                       boolean isCursor)

  Description copied from class: `CellRenderer`
  Draw cell method.
  Метод рисования ячейки.

  Specified by:
    `render` in class `CellRenderer`
  Parameters:
    `g` - Graphics.
    Графический контекст.
    `c` - Palette component.
    Компонент, на котором осуществляется рисование.
    `text` - Cell text.
    Текст ячейки.
    `width` - Cell width.
    Ширина ячейки.
    `height` - Cell height.
    Высота ячейки.
    `isCursor` - Draw cursor.
    Рисовать курсор.

### getAppearance

    public SwingCellAppearance getAppearance()

### setAppearance

    public void setAppearance(SwingCellAppearance appearance)

### getDefaultFont

    public java.awt.Font getDefaultFont()

### getPainter

    public Painter getPainter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD